CC = gcc
CFLAGS = -Wall -Wextra

all: bitsUsed prime

bitsUsed: usedBits.c
	$(CC) $(CFLAGS) -o usedBits usedBits.c -lm

prime: primeTest.c
	$(CC) $(CFLAGS) -o primeTest primeTest.c

sum: sumInput.c
	$(CC) $(CFLAGS) -o sum sumInput.c


sort: sortAndRead.c
	$(CC) $(CFLAGS) -o sort sortAndRead.c


clean:
	rm usedBits primeTest sum sort
